Create Play Session
curl --request POST \
--url https://softmax.com/api/observatory/v2/coworlds/play/session \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"coworld_id": "<string>",
"variant_id": "<string>",
"game_config": {},
"player_count": 1,
"allow_spectators": false,
"policy_slots": [
{
"slot": 1,
"policy_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}
'import requests
url = "https://softmax.com/api/observatory/v2/coworlds/play/session"
payload = {
"coworld_id": "<string>",
"variant_id": "<string>",
"game_config": {},
"player_count": 1,
"allow_spectators": False,
"policy_slots": [
{
"slot": 1,
"policy_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
coworld_id: '<string>',
variant_id: '<string>',
game_config: {},
player_count: 1,
allow_spectators: false,
policy_slots: [{slot: 1, policy_version_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'}]
})
};
fetch('https://softmax.com/api/observatory/v2/coworlds/play/session', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": "<string>",
"join_url": "<string>",
"lobby_url": "<string>",
"player_count": 123,
"global_url": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Coworlds
Create Play Session
POST
/
v2
/
coworlds
/
play
/
session
Create Play Session
Authorizations
Bearer token issued by Softmax
Body
application/json
Pattern:
^cow_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$Required range:
x > 0Show child attributes
Show child attributes
⌘I

